package info.visone.nlpext.gui;

import info.visone.base.Mediator;
import info.visone.gui.tabs.DropdownChooseCard;
import info.visone.nlpext.crawl.gui.CrawlLinksCard;
import info.visone.nlpext.crawl.gui.CrawlTextCard;

/**
 * @author nick
 */
public class NLPCard extends DropdownChooseCard {
    /**
     * creates all <code>TabCard</code>s for the nlp hierarchy and stacks them
     * together.
     *
     * @param mediator
     *            the mediator needed to acess the network
     */
    public NLPCard(final Mediator mediator) {
        super("algorithm", "text");

        final CRACard cra = new CRACard(mediator);
        final WNACard wna = new WNACard(mediator);
        final CrawlTextCard textCrawler = new CrawlTextCard(mediator);
        final CrawlLinksCard linkCrawler = new CrawlLinksCard(mediator);
        final PennTreeCard ptc = new PennTreeCard(mediator);
        addCards(cra, wna, linkCrawler, textCrawler, ptc);

        if (Mediator.DEVEL_MODE) {
            final CreateAttributesCard createAttr = new CreateAttributesCard(mediator);
            addCards(createAttr);
        }

        initCardHierarchy();
    }
}
